Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: Alex Lee <[email-masked]>
Date: Wed, 29 Jun 2022 01:02:30 -0400

On Tue, Jun 28, 2022 at 7:22 PM Peter Todd <[email-masked]> wrote:

> On Tue, Jun 28, 2022 at 12:23:40PM -0400, Alex Lee via bitcoin-dev wrote:
> > > > Those who never transact, never realize any benefit.
> > >
> > > While that's true, its not relevant and basically a red herring. You
> need
> > > to compare those who transact often and rarely hold, to those who hold
> a
> > > lot but rarely transact. Its not helpful to consider those who throw
> their
> > > bitcoin into a bottomless pit and never retrieve them.
> > >
> >
> > There are legitimate uses for burning bitcoin, speaking of bottomless
> pits.
> > I would avoid confusing velocity metrics with utility, as these aren't
> the
> > same thing.
>
> All the legitimate uses for burning bitcoin are _not_ done via a
> "bottomless
> pit": they're done with transactions proving that the bitcoin has actually
> been
> burnt.  And the value obtained by burning BTC in those scenarios is
> affected by
> tx fees and inflation just as much as any other tx.
>
>
The "bottomless pit" is a metaphor for the inability to spend the coins
again in the future once burned, as Billy appeared to be indicating that
the frequent movement of coins in itself somehow produced utility.
Naturally you are correct that the utility of the burn comes from the
proof; I am not sure what the meaning of "burned coins" would be without
the proof to be honest.

> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
>